﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Customers management with SignalR</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body class="container">
    <script src="/libs/signalr/dist/browser/signalr.min.js"></script>
    <h4 class="p-3">Панель управления пользователями</h4>
    <hr>
    <div id="notification-container">
        <div id="operations-history" class="alert alert-light"></div>
        <div id="customers-list" class="alert"></div>
    </div>
    <div id="top-action-buttons" class="row justify-content-end" style="display:none;">
        <hr />
        <button class="btn btn-light mr-2" data-action="new-сustomer">Создать пользователя</button>
        <button class="btn btn-light mr-2" data-action="refresh">Обновить</button>
    </div>
    <div id="operations-panel" style="display:none;">
        <div id="details-action">
            <h5>Детали пользователя</h5>
            <hr>
            <div class="row">
                <div class="col-md-3">
                    <label class="mr-5">Имя пользователя</label>
                </div>
                <div class="col-md-9">
                    <span data-firstname></span>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <label class="mr-5">Фамилия пользователя</label>
                </div>
                <div class="col-md-9">
                    <span data-lastname></span>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <label class="mr-5">Электронная почта</label>
                </div>
                <div class="col-md-9">
                    <span data-email></span>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <label class="mr-5" for="Email">Предпочтения</label>
                </div>
                <div class="col-md-9">
                    <span data-preferences></span>
                </div>
            </div>
            <div class="row">
                <button class="btn btn-light mr-2" data-action="edit">Редактировать</button>
                <button class="btn btn-danger" data-action="remove">Удалить</button>
            </div>
        </div>
        <div id="edit-action" style="display: none;">
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="control-label" for="firstName">Имя пользователя</label>
                        <input class="form-control" type="text" id="firstName" name="firstName" required>
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="lastName">Фамилия пользователя</label>
                        <input class="form-control" type="text" id="lastName" name="lastName" required />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="email">Электронная почта</label>
                        <input class="form-control" type="email" id="email" name="email" required>
                    </div>
                    <div class="form-group" data-preferences>
                        <label class="control-label" for="Customer_Email">Предпочтения</label>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="ef7f299f-92d7-459f-896e-078ed53ef99c">
                            <label class="form-check-label">
                                Театр
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="c4bda62e-fc74-4256-a956-4760b3858cbd">
                            <label class="form-check-label">
                                Семья
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="76324c47-68d2-472d-abb8-33cfa8cc0c84">
                            <label class="form-check-label">
                                Дети
                            </label>
                        </div>
                    </div>
                    <div class="form-group">
                        <input type="button" value="Сохранить" class="btn btn-primary" data-action>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="actions-settings">
        <div id="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="form-group">
                        <label class="control-label" for="username"><b>Ваше имя</b></label>
                        <input class="form-control" type="text" data-val="true" value="" id="username" name="username" required>
                    </div>
                    <div class="form-group" data-available-actions>
                        <label class="control-label"><b>Выберите, о результатах каких операций Вы хотите получать уведомления</b></label>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="GetCustomer" id="GetCustomer">
                            <label class="form-check-label">
                                Получение пользователя по id
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="CreateCustomer" id="CreateCustomer">
                            <label class="form-check-label">
                                Создание пользователя
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="EditCustomer" id="EditCustomer">
                            <label class="form-check-label">
                                Редактирование пользователя
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="DeleteCustomer" id="DeleteCustomer">
                            <label class="form-check-label">
                                Удаление пользователя
                            </label>
                        </div>
                    </div>
                    <div class="form-group">
                        <input id="connect" type="button" value="Подключиться" class="btn btn-primary">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="scripts/site.js" type="text/javascript"></script>
    <link href="styles/base.css" rel="stylesheet" type="text/css"/>
</body>
</html>